Edit

Gateways - List Gateway Members

Lists gateway members of an OnPremisesGateway by ID.

Permissions

  • The caller must have permission for the gateway.

Required Delegated Scopes

Gateway.Read.All or Gateway.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/gateways/{gatewayId}/members

URI Parameters

Name In Required Type Description
gatewayId
path True

string (uuid)

The ID of the gateway.

Responses

Name Type Description
200 OK

ListGatewayMembersResponse

OK. The operation was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • EntityNotFound - The requested resource could not be found.

Examples

Example

Sample request

GET https://api.fabric.microsoft.com/v1/gateways/8e41c4dd-a382-4937-9bf3-695ab881f7c2/members

Sample response

{
  "value": [
    {
      "id": "8e41c4dd-a382-4937-9bf3-695ab881f7c2",
      "displayName": "ContosoPrimaryMemberGateway",
      "publicKey": {
        "exponent": "AQGB",
        "modulus": "od9b...90Jp1Q=="
      },
      "version": "3000.1.1",
      "enabled": true
    },
    {
      "id": "5d225cda-42d5-43d3-bc40-218f746e1d58",
      "displayName": "ContosoSecondaryMemberGateway",
      "publicKey": {
        "exponent": "AQCB",
        "modulus": "o57c...90Jh1P=="
      },
      "version": "3000.1.1",
      "enabled": false
    }
  ]
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ListGatewayMembersResponse
OnPremisesGatewayMember

The gateway member information.

PublicKey

The public key of the on-premises gateway.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ListGatewayMembersResponse

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

OnPremisesGatewayMember[]

A list of gateway cluster members returned.

OnPremisesGatewayMember

The gateway member information.

Name Type Description
displayName

string

The display name of the gateway member.

enabled

boolean

Whether the gateway member is enabled. True - Enabled, False - Not enabled.

id

string (uuid)

The object ID of the gateway member.

publicKey

PublicKey

The public key of the gateway member. Used to encrypt the credentials for creating and updating connections.

version

string

The version of the installed gateway member.

PublicKey

The public key of the on-premises gateway.

Name Type Description
exponent

string

The exponent of the public key.

modulus

string

The modulus of the public key.